com.smartgwt.client.types

## Enum LayoutPolicy

- java.lang.Object
- - java.lang.Enum<LayoutPolicy>
  - - com.smartgwt.client.types.LayoutPolicy

- All Implemented Interfaces:
    ValueEnum, java.io.Serializable, java.lang.Comparable<LayoutPolicy>

      public enum LayoutPolicy
      extends java.lang.Enum<LayoutPolicy>
      implements ValueEnum

  Policy controlling how the Layout will manage member sizes on this axis.

  See also `overflow`.

- - ### Enum Constant Summary

    Enum Constants
    Enum Constant and Description
    `FILL` Layout sizes members so that they fill the specified size of the layout.
    `NONE` Layout does not try to size members on the axis at all, merely stacking them (length axis) and leaving them at default breadth.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getValue()`
    `static LayoutPolicy` | `valueOf(java.lang.String name)` Returns the enum constant of this type with the specified name.
    `static LayoutPolicy[]` | `values()` Returns an array containing the constants of this enum type, in the order they are declared.

    - ### Methods inherited from class java.lang.Enum

      `clone, compareTo, equals, finalize, getDeclaringClass, hashCode, name, ordinal, toString, valueOf`

    - ### Methods inherited from class java.lang.Object

      `getClass, notify, notifyAll, wait, wait, wait`

- - ### Enum Constant Detail

    - #### NONE

          public static final LayoutPolicy NONE

      Layout does not try to size members on the axis at all, merely stacking them (length axis) and leaving them at default breadth.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "none".

    - #### FILL

          public static final LayoutPolicy FILL

      Layout sizes members so that they fill the specified size of the layout. The rules are:
      - Any component given an initial pixel size, programmatically resized to a specific pixel size, or drag resized by user action is left at that exact size
      - Any component that `autofits` is given exactly the space it needs, never forced to take up more.
      - All other components split the remaining space equally, or according to their relative percentages.

      If this enumerated value is used in a `Component XML` file or server-side DataSource descriptor (.ds.xml file), use the value "fill".

  - ### Method Detail

    - #### values

          public static LayoutPolicy[] values()

      Returns an array containing the constants of this enum type, in the order they are declared. This method may be used to iterate over the constants as follows:

          for (LayoutPolicy c : LayoutPolicy.values())
              System.out.println(c);

      Returns:
        an array containing the constants of this enum type, in the order they are declared

    - #### valueOf

          public static LayoutPolicy valueOf(java.lang.String name)

      Returns the enum constant of this type with the specified name. The string must match exactly an identifier used to declare an enum constant in this type. (Extraneous whitespace characters are not permitted.)
      Parameters:
        `name` - the name of the enum constant to be returned.
      Returns:
        the enum constant with the specified name
      Throws:
        `java.lang.IllegalArgumentException` - if this enum type has no constant with the specified name
        `java.lang.NullPointerException` - if the argument is null

    - #### getValue

          public java.lang.String getValue()

      Specified by:
        `getValue` in interface `ValueEnum`